@import url('https://fonts.googleapis.com/css2?family=Righteous&display=swap');

body {
  margin: 0;
}

.calculator {
  width: 350px;
  height: 450px;
  margin: 0 auto;
  box-shadow: 5px 10px 18px #888888
}

  .screen {
    width: 350px;
    height: 150px;
    margin: 30px auto 0;
    border-right: 1px solid black;
    border-left: 1px solid black;
    border-top: 1px solid black;
    background-color: darkgray
  }

    .display-calculation {
      width: 300px;
      height: 60px;
      border: 1px solid black;
      
      margin: 10px auto 0;
      padding-right: 10px;
      background-color: rgba(189, 236, 189, 0.699);
      text-align: right;
    }

    .display-screen {
      width: 300px;
      height: 60px;
      border-right: 1px solid black;
      border-left: 1px solid black;
      border-bottom: 1px solid black;
      margin: 0 auto;
      padding-right: 10px;
      text-align: right;
      font-size: 50px;
      background-color: rgba(189, 236, 189, 0.699);
      font-family: 'Righteous', cursive;
    }


  .input {
    width: 350px;
    height: 300px;
    margin: 0 auto;
    border: 1px solid black;
    background-color: lightgray;
  }

    .input-container {
      margin: 10px;
      display: grid;
      grid-gap: 5px;
      grid-template-columns: repeat(4, 1fr);
    }
    

      .input-container > * {
        background-color: #fff;
        padding: 5px 6px;
        margin: 1px;
        position: relative;
        text-align: center;
        height: 50px;
        border-radius: 5px;
        font-size: 20px;
        cursor: pointer;
      }


      .number, .decimal-key, .plus-minus {
        background-color: #f8f6f5;
      } 

      .calculation-key, .operator-key {
        background-color: #d37556;
      }

      .clear, .clear-all, .delete {
        background-color: #565c5e;
        color: white;
      }


